{* :Admin:Katalog:Produkty:Editace:default *}
{block content}
    {*============================== BREADCRUMB ==============================*}
    <section class="border-bottom" id="breadcrumb">
        <nav class="p-3 bg-light">
            <ol class="breadcrumb mb-0">
                <li class="breadcrumb-item"><a n:href=":Admin:Dashboard:default"><i class="fas fa-home me-1"></i> Nástěnka</a></li>
                <li class="breadcrumb-item active"><i class="fas fa-shopping-cart me-1"></i>Katalog</li>
                <li class="breadcrumb-item"><a n:href=":Admin:Katalog:Produkty:Seznam:default"><i class="fas fa-archive me-1"></i>Produkty</a></li>
                <li class="breadcrumb-item active">{$produkt->nazev}</li>
            </ol>
        </nav>
    </section>
    {*============================== CONTENT ==============================*}
    <section class="container-xxl mb-3">
        <section class="d-md-flex justify-content-between align-items-center border-bottom py-2">
            <h1 n:block="title">{$produkt->nazev}</h1>
            <div class="d-flex justify-content-between gap-3">
                {snippet active}
                    {if $produkt->active == true}
                        <a n:href="changeActive!" class="btn btn-outline-success ajax"><i class="fas fa-eye me-2"></i> Aktivní</a>
                    {else}
                        <a n:href="changeActive!" class="btn btn-outline-danger ajax"><i class="fas fa-eye-slash me-2"></i> Deaktivován</a>
                    {/if}
                {/snippet}
                {control vymazProdukt}
            </div>
        </section>
        <section class="d-md-flex justify-content-between align-items-center border-bottom bg-header text-white p-2">
            <div class="mb-2 mb-md-0">
                <b>Vytvořeno:</b> {$produkt->created_at|date:('d.m.Y')}
            </div>
            <div>
                <b>Poslední aktualizace:</b> {$produkt->last_update|date:('d.m.Y')}
            </div>
        </section>
        <div n:snippet="formular">
            <form n:name="editProduktForm">
                {*tlačítko uložit*}
                <section class="d-flex justify-content-end bg-menu-header sticky-top p-2 mb-3">
                    <button class="btn btn-success" n:name="send"><i class="fas fa-floppy-disk me-2"></i> Uložit</button>
                </section>
                <section>
                    {* navigace karet*}
                    <ul class="nav nav-pills border-bottom pb-2">
                        <li class="nav-item">
                            <button class="nav-link active" data-bs-toggle="pill" data-bs-target="#zaklad-info-tab" type="button">Zákl. informace</button>
                        </li>
                        {if $produkt->typ == 'sada'}
                            <li class="nav-item">
                                <button class="nav-link" data-bs-toggle="pill" data-bs-target="#sada-tab" type="button"><i class="fas fa-cubes me-2"></i>Produkty v sadě</button>
                            </li>
                        {/if}
                        <li class="nav-item">
                                <button class="nav-link" data-bs-toggle="pill" data-bs-target="#obrazky-tab" type="button"><i class="fas fa-image me-2"></i>Obrázky</button>
                        </li>
                        <li class="nav-item">
                                <button class="nav-link" data-bs-toggle="pill" data-bs-target="#vlastnosti-tab" type="button"><i class="fa-regular fa-file-lines me-2"></i>Vlastnosti</button>
                        </li>
                        {if $setCena}
                            <li class="nav-item">
                                <button class="nav-link" data-bs-toggle="pill" data-bs-target="#ceny-tab" type="button"><i class="fa-solid fa-money-bill-1 me-2"></i>Ceny</button>
                            </li>
                        {/if}
                        <li class="nav-item">
                            <button class="nav-link" data-bs-toggle="pill" data-bs-target="#seo-tab" type="button"><i class="fa-solid fa-search me-2"></i>SEO</button>
                        </li>
                        <li class="nav-item">
                            <button class="nav-link" data-bs-toggle="pill" data-bs-target="#prilohy-tab" type="button"><i class="fa-solid fa-paperclip me-2"></i>Přílohy</button>
                        </li>
                    </ul>
                    {* karty *}
                    <div class="tab-content" id="pills-tabContent">
                    {*zakladní informace*}
                    <section class="tab-pane fade show active" id="zaklad-info-tab">
                        <div class="bg-light mb-3">
                            <div class="row px-3">
                                <div class="col-12 col-md-6 mb-3">
                                    <label class="form-label">Název produktu</label>
                                    <div class="input-group">
                                        <span class="input-group-text"><i class="fas fa-pen"></i></span>
                                        <input n:name="nazev" class="form-control produkt-nazev" placeholder="Název produktu">
                                    </div>
                                </div>
                                <div class="col-12 col-md-6 mb-3">
                                    <label class="form-label">URL adresa</label>
                                    <div class="input-group">
                                        <span class="input-group-text"><i class="fas fa-globe"></i></span>
                                        <input type="text" class="form-control" placeholder="URL adresa" value="{$produkt->url}" disabled>
                                    </div>
                                </div>
                            </div>
                            <div class="row px-3">
                                <div class="col-12 col-md-6 mb-3">
                                    <label class="form-label">Kód produktu</label>
                                    <div class="input-group">
                                        <span class="input-group-text"><i class="fa-solid fa-code"></i></span>
                                        <input n:name="kod" class="form-control produkt-kod" placeholder="Kód produktu">
                                    </div>
                                </div>
                                <div class="col-12 col-md-6 mb-3">
                                    <label class="form-label">EAN</label>
                                    <div class="input-group">
                                        <span class="input-group-text"><i class="fa-solid fa-barcode"></i></span>
                                        <input n:name="ean" class="form-control" placeholder="EAN">
                                    </div>
                                </div>
                            </div>
                            <hr>
                            <div class="d-flex gap-3 px-3">
                                <a href="#" class="btn btn-primary" data-bs-toggle="modal" data-bs-target="#kategorieProduktModal"><i class="fas fa-sitemap me-2"></i>Kategorie</a>
                                <div>
                                    <div class="input-group">
                                        <span class="input-group-text bg-primary text-white"><i class="fa-solid fa-industry me-2"></i>Výrobce</span>
                                        <select type="text" class="form-select" n:name="vyrobci_id"></select>
                                    </div>
                                </div>
                            </div>
                            <hr>
                            <div class="row px-3">
                                <div class="col-12 col-md-6 mb-3">
                                    <label class="form-label">Krátký popis</label>
                                    <textarea id="editTiny-1" n:name="popis_short"></textarea>
                                    <input id="tiny-obsah-1" type="hidden" value="{$produkt->popis_short}">
                                </div>
                                <div class="col-12 col-md-6 mb-3">
                                    <label class="form-label">Dlouhý popis</label>
                                    <textarea id="editTiny-2" n:name="popis_long"></textarea>
                                    <input id="tiny-obsah-2" type="hidden" value="{$produkt->popis_long}">
                                </div>
                            </div>
                        </div>
                    </section>
                    {*Kategorie Modal*}
                    <section class="modal fade" id="kategorieProduktModal">
                        <div class="modal-dialog modal-lg modal-fullscreen-md-down">
                            <div class="modal-content shadow-lg">
                                <div class="modal-header bg-primary text-white">
                                    <h5 class="modal-title">Přiřazené kategorie produktu</h5>
                                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                                </div>
                                <div class="modal-body bg-secondary text-white">
                                    <div class="d-flex justify-content-between">
                                        <h6>Přířazená kategorie</h6>
                                        <h6>Hlavní kategorie</h6>
                                    </div>
                                </div>
                                <div class="modal-body">
                                    {foreach $kategorieModel->getBaseCategories() as $category}
                                        <ul class="category-list">
                                            <li class="d-flex justify-content-between">
                                                <div>
                                                    <div class="form-check">
                                                        <input class="form-check-input" type="checkbox" name="kategorie[]" value="{$category->id}" {if in_array($category->id, $prirazKat)}checked="checked"{/if}>
                                                        <label class="form-check-label">
                                                            {$category->nazev}
                                                        </label>
                                                    </div>
                                                    {$kategorieModel->showEditSubcategories($category, $prirazKat, $produkt->id)}
                                                </div>
                                                <div>
                                                    {var $check = $category->related('produkty_kategorie')->where('produkty_id', $produkt->id)->where('kategorie_id', $category->id)->fetch()}

                                                    <input class="form-check-input" type="radio" name="baseKategorie" value="{$category->id}" {if $check && $check->base_kategorie == true}checked="checked"{/if}>
                                                </div>
                                            </li>
                                        </ul>
                                    {/foreach}
                                </div>
                                <div class="modal-footer">
                                    <button type="button" class="btn btn-outline-secondary" data-bs-dismiss="modal">Zavřít</button>
                                </div>
                            </div>
                        </div>
                    </section>
                    {*vlastnosti*}
                    <section class="tab-pane fade" id="vlastnosti-tab">
                                {control produktVlastnosti}
                    </section>
                    {*ceny*}
                    {if $setCena}
                        <section class="tab-pane fade" id="ceny-tab">
                            <div class="container-fluid bg-light mb-3">
                                <div class="row align-items-start pb-2">
                                    <h6 class="bg-secondary text-white py-2">Základní cena</h6>
                                    <div class="col-12 col-md-4 col-xl-2">
                                        <div class="py-2">
                                            <label class="form-label">Cena bez Dph</label>
                                            <div class="input-group">
                                                <input class="form-control text-end cena" n:name="cena">
                                                <span class="input-group-text" >Kč</span>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-12 col-md-4 col-xl-2">
                                        <div class="py-2">
                                            <label class="form-label">Cena s Dph</label>
                                            <div class="input-group">
                                                <input class="form-control text-end cena-dph" n:name="cena_dph">
                                                <span class="input-group-text" >Kč</span>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                {if $produkt->cena || $produkt->cena_dph}
                                    {control produktSleva}
                                {/if}
                            </div>
                        </section>
                    {/if}
                    {*seo*}
                    <section class="tab-pane fade" id="seo-tab">
                        <div class="bg-light mb-3">
                            <div class="row align-items-center bg-light border-bottom">
                                <div class="col-12 col-md-6">
                                    <div class="py-3">
                                        <label class="form-label">Meta popis</label>
                                        <textarea class="form-control meta-desc" n:name="meta_desc" rows="4"></textarea>
                                        <div class="form-text"><b>Doporučená délka: <span id="metaDesc-lenght">0</span>/160</b></div>
                                    </div>
                                </div>
                                <div class="col-12 col-md-6">
                                    <div class="row justify-content-center">
                                        <div class="col-11">
                                            <h5>SEO náhled</h5>
                                            <div class="seo-thumb shadow p-3 mb-3">
                                                <div class="name"><span id="seo-name">Název produktu</span> | {$baseInfo['siteName']}</div>
                                                <div class="address">{$baseInfo['address']}produkty/{$produkt->url}</div>
                                                <div class="seo-content" id="seo-content"></div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </section>
            </form>
                    {*obrázky*}
                    <section class="tab-pane fade" id="obrazky-tab">
                        {control produktObrazky}
                    </section>
                    {*přílohy*}
                    <section class="tab-pane fade" id="prilohy-tab">
                        {control produktPrilohy}
                    </section>
                    {*sada produktů*}
                    {if $produkt->typ == 'sada'}
                        <section class="tab-pane fade" id="sada-tab">
                            {*control produktPrilohy*}
                        </section>
                    {/if}
                </div>
            </section>
        </div>
    </section>
{/block}
{block scripts}
    <script>
        window.onload = function(){
            {*proměnné*}
            const kodInput = document.querySelector('input[name="kod"]');   //input kod produktu
            const cenaInput = document.querySelector('input[name="cena"]');
            const cenaDphInput = document.querySelector('input[name="cena_dph"]');
            const nazevInput = document.querySelector('input[name="nazev"]');
            const metaDescInput = document.querySelector('textarea[name="meta_desc"]');
            const metaDescAlert = document.querySelector('#metaDesc-lenght');
            const metaNameView  = document.querySelector('#seo-name');
            const metaDescView = document.querySelector('#seo-content');

            {*inicializace tiny editoru*}
            loadTinyObsah(1);
            loadTinyObsah(2);

            {*inicializace SEO*}
            loadSeoContent();

            {*kontrola kodu produktu*}
            kodInput.addEventListener('change' ,(event) => {
                var kod  = kodInput.value;

                naja.makeRequest('POST', {link 'checkKod!'} , { {$control->getParameterId('kod') }: kod })
                .then((payload) => {

                    if (payload.kod !== 0)
                    {
                        kodInput.classList.remove('is-valid')
                        kodInput.classList.add('is-invalid');
                    }else{
                        kodInput.classList.remove('is-invalid')
                        kodInput.classList.add('is-valid');
                    }
                })
                .catch((error) => { console.log(error) });
            });

            {*dopočítávání cen*}
            cenaInput.addEventListener('change', (event) => {
                calculateTaxPrice();
            });

            cenaDphInput.addEventListener('change', (event) => {
                calculateBasePrice();
            });

            {*zobrazení seo*}
            metaDescInput.addEventListener('input', (event) => {
                loadSeoContent();
            })

            nazevInput.addEventListener('input', (event) => {
                loadSeoContent();
            })

            {*pomocné funkce*}
            function calculateBasePrice(){
                var taxRule = 21;
                var taxPrice = cenaDphInput.value.replace(',', '.');
                cenaDphInput.value = parseFloat(taxPrice).toFixed(2);
                var tax = '1.'+taxRule;
                var price = parseFloat(taxPrice/tax).toFixed(2);
                cenaInput.value = price;
            }
            function calculateTaxPrice(){
                var taxRule = 21;
                var basePrice = cenaInput.value.replace(',', '.');
                cenaInput.value = parseFloat(basePrice).toFixed(2);
                var tax = '1.'+taxRule;
                var price = parseFloat(basePrice*tax).toFixed(2);
                cenaDphInput.value = price;
            }

            function loadSeoContent(){
                var name = nazevInput.value;
                var content = metaDescInput.value;

                //$('#seo-content').empty();
                metaDescView.innerHTML = content;
                //$('#seo-name').empty();
                metaNameView.innerHTML = name;

                if (content.length > 160){
                    metaDescAlert.classList.remove('text-success');
                    metaDescAlert.classList.add('text-danger');
                    metaDescAlert.innerHTML= content.length;
                }else{
                    metaDescAlert.classList.remove('text-danger');
                    metaDescAlert.classList.add('text-success');
                    metaDescAlert.innerHTML = content.length;
                }
            }
        };
    </script>
{/block}